Subject: bug#39609: 26.3; Packaging system: Package documentation in the *Help* buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Nov 2020 09:50:33 +0100

(Please keep the debbugs address in the Cc's -- otherwise the message
won't reach the bug tracker.)

"H. Dieter Wilhelm" <[email-masked]> writes:

> I'm sorry I should have made it clear that the problem occurs most
> clearly for packages which are not installed from Gnu Elpa or other
> package archives.  After installing from a package archive the
> documentation is not taken out of the package README, despite the Elisp
> documentation in (elisp) Multi-file Packages.
>
> So please check this with Emacs- Q (possibly in a sandboxed
> environment), do (package-initialize) and install the attached package.
> To that end please extract the tar archive to a DIRECTORY and M-x
> package-install-file DIRECTORY.  Then you'll see that the content of C-h
> P inform is not the content of the package's README.  For Emacs-26.3
> you'll see no documentation at all and for Emacs-27.1 you'll see
> inform.el's ;;; Commentary section.
>
> Thank you
>
>         Dieter
>
> PS: The inform package is now available via Melpa, just in case...

OK, so the test case is

emacs -Q
M-x list-packages
then install "inform" from Melpa
And then

C-h P inform RET

?